summaryrefslogtreecommitdiffstats
path: root/system/pgadmin3
diff options
context:
space:
mode:
author slakmagik2011-05-09 04:52:41 +0200
committer Robby Workman2011-05-10 21:54:26 +0200
commit8f1d474a556f4a07f33e7284b22482e8e1df55d6 (patch)
treeb264a99aa55ec7f62d40694d59275e460dc6ae56 /system/pgadmin3
parent6d0288b85be3525af7ec243f876b06c57537249d (diff)
downloadslackbuilds-8f1d474a556f4a07f33e7284b22482e8e1df55d6.tar.gz
system/pgadmin3: Updated for version 1.12.3.
Also changed maintainer information and did some general cleanup... Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/pgadmin3')
-rw-r--r--system/pgadmin3/README33
-rw-r--r--system/pgadmin3/pgadmin3.SlackBuild45
-rw-r--r--system/pgadmin3/pgadmin3.info8
-rw-r--r--system/pgadmin3/slack-desc10
4 files changed, 48 insertions, 48 deletions
diff --git a/system/pgadmin3/README b/system/pgadmin3/README
index 2bf5be32c3..8ac7ffef1b 100644
--- a/system/pgadmin3/README
+++ b/system/pgadmin3/README
@@ -1,18 +1,19 @@
-pgAdmin is a feature rich Open Source administration and development
-platform for PostgreSQL. The application may be used on variuos
-platforms to manage PostgreSQL 7.3 and above, as well as commercial
-and derived versions of PostgreSQL such as Postgres Plus Advanced
-Server and Greenplum database.
+pgAdmin III is the most popular and feature rich Open Source
+administration and development platform for PostgreSQL, the most
+advanced Open Source database in the world. The application may be used
+on Linux, FreeBSD Solaris, Mac OSX and Windows platforms to manage
+PostgreSQL 7.3 and above running on any platform, as well as commercial
+versions of PostgreSQL such as Mammoth PostgreSQL, EnterpriseDB Postgres
+Plus Advanced Server, Greenplum Database and Bizgres.
-pgAdmin is designed to answer the needs of all users, from writing
-simple SQL queries to developing complex databases. The graphical
-interface supports all PostgreSQL features and makes administration
-easy. The application also includes a syntax highlighting SQL editor,
-a server-side code editor, an SQL/batch/shell job scheduling agent,
-support for the Slony-I replication engine and much more. Server
-connection may be made using TCP/IP or Unix Domain Sockets
-(on *nix platforms), and may be SSL encrypted for security.
-No additional drivers are required to communicate with
-the database server.
+pgAdmin III is designed to answer the needs of all users, from writing
+simple SQL queries to developing complex databases. The graphical
+interface supports all PostgreSQL features and makes administration
+easy. The application also includes a syntax highlighting SQL editor, a
+server-side code editor, an SQL/batch/shell job scheduling agent,
+support for the Slony-I replication engine and much more. Server
+connection may be made using TCP/IP or Unix Domain Sockets (on *nix
+platforms), and may be SSL encrypted for security. No additional drivers
+are required to communicate with the database server.
-pgAdmin requires wxPython PostgreSQL (available at slackbuilds.org).
+pgAdmin III requires wxPython and PostgreSQL.
diff --git a/system/pgadmin3/pgadmin3.SlackBuild b/system/pgadmin3/pgadmin3.SlackBuild
index 7b54a6bb83..5afab6e1e6 100644
--- a/system/pgadmin3/pgadmin3.SlackBuild
+++ b/system/pgadmin3/pgadmin3.SlackBuild
@@ -1,18 +1,18 @@
#!/bin/sh
+
# Slackware build script for pgAdmin
# Written by Iskar Enev (<iskar.enev[@]gmail.com>)
+# Modified by slakmagik <slakmagik@gmail.com>
PRGNAM=pgadmin3
-VERSION=${VERSION:-1.10.1}
+VERSION=${VERSION:-1.12.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -22,8 +22,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCUMENTATION="BUGS CHANGELOG DEVELOPERS INSTALL LICENSE README TODO"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -38,6 +36,8 @@ else
LIBDIRSUFFIX=""
fi
+DOCUMENTATION="BUGS CHANGELOG DEVELOPERS INSTALL LICENSE README TODO"
+
set -e
rm -rf $PKG
@@ -48,10 +48,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -64,25 +64,24 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
-
-( cd i18n
- make install DESTDIR=$PKG
-)
+make DESTDIR=$PKG install
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF |
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/usr/share/pixmaps/pgadmin3
-cp -a pgadmin/include/images/* $PKG/usr/share/pixmaps/pgadmin3
+# add the range of pgAdmin3 images - only one can be used in the desktop file
+# but the default might not be the one people would want
+mkdir -p $PKG/usr/share/pixmaps
+cp -a pgadmin/include/images/pgAdmin3* $PKG/usr/share/pixmaps
mkdir -p $PKG/usr/share/applications
-cp -a pkg/pgadmin3.desktop $PKG/usr/share/applications
-sed -i 's%Icon=/usr/share/pgadmin3/pgadmin3.xpm%Icon=/usr/share/pixmaps/pgadmin3/pgAdmin3.xpm%' \
- $PKG/usr/share/applications/pgadmin3.desktop
+sed '/^Icon=/s/pgadmin3/pixmaps/' \
+ pkg/pgadmin3.desktop > $PKG/usr/share/applications/pgadmin3.desktop
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a docs/* $DOCUMENTATION $PKG/usr/doc/$PRGNAM-$VERSION
+# as with so many packages, --docdir is present but ignored
+mkdir -p $PKG/usr/doc
+ln -s ../share/pgadmin3/docs $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCUMENTATION $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/pgadmin3/pgadmin3.info b/system/pgadmin3/pgadmin3.info
index 6c4568010e..8dc5cc87b9 100644
--- a/system/pgadmin3/pgadmin3.info
+++ b/system/pgadmin3/pgadmin3.info
@@ -1,10 +1,10 @@
PRGNAM="pgadmin3"
-VERSION="1.10.1"
+VERSION="1.12.3"
HOMEPAGE="http://www.pgadmin.org/"
-DOWNLOAD="ftp://ftp.postgresql.org/pub/pgadmin3/release/v1.10.1/src/pgadmin3-1.10.1.tar.gz"
-MD5SUM="baeec7dfcff6ec1447f6097f11c443e0"
+DOWNLOAD="ftp://ftp.postgresql.org/pub/pgadmin3/release/v1.12.3/src/pgadmin3-1.12.3.tar.gz"
+MD5SUM="0ff7a970a14757ee951a4e8b1a246a70"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="slakmagik"
EMAIL="slakmagik@gmail.com"
-APPROVED="dsomero"
+APPROVED="rworkman"
diff --git a/system/pgadmin3/slack-desc b/system/pgadmin3/slack-desc
index d6eda690c2..379586b013 100644
--- a/system/pgadmin3/slack-desc
+++ b/system/pgadmin3/slack-desc
@@ -3,14 +3,14 @@
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-pgadmin3: pgAdmin3 (manage PostgreSQL database)
-pgadmin3:
-pgadmin3: pgAdmin is a design and management interface for
-pgadmin3: PostgreSQL database
+pgadmin3: pgAdmin3 (PostgreSQL design and management interface)
pgadmin3:
+pgadmin3: pgAdmin III is the most popular and feature rich Open Source
+pgadmin3: administration and development platform for PostgreSQL, the most
+pgadmin3: advanced Open Source database in the world.
pgadmin3:
pgadmin3:
pgadmin3: